[android-components](../../../../index.md) / [mozilla.components.browser.icons](../../../index.md) / [IconRequest](../../index.md) / [Resource](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/icons/src/main/java/mozilla/components/browser/icons/IconRequest.kt#L49)

An icon resource type.

### Enum Values

| Name | Summary |
|---|---|
| [FAVICON](-f-a-v-i-c-o-n.md) | A favicon ("icon" or "shortcut icon"). |
| [APPLE_TOUCH_ICON](-a-p-p-l-e_-t-o-u-c-h_-i-c-o-n.md) | An Apple touch icon. |
| [FLUID_ICON](-f-l-u-i-d_-i-c-o-n.md) | A "fluid" icon. |
| [IMAGE_SRC](-i-m-a-g-e_-s-r-c.md) | An "image_src" icon. |
| [OPENGRAPH](-o-p-e-n-g-r-a-p-h.md) | An "Open Graph" image. |
| [TWITTER](-t-w-i-t-t-e-r.md) | A "Twitter Card" image. |
| [MICROSOFT_TILE](-m-i-c-r-o-s-o-f-t_-t-i-l-e.md) | A "Microsoft tile" image. |
